curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/workflow_definitions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/workflow_definitions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/workflow_definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "workflow_definition",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "<string>",
"step_count": 123
},
"relationships": {
"owner": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"steps": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "workflow_step",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"workflows": {
"links": {
"related": "<string>"
},
"meta": {}
}
}
}
],
"meta": {
"page": {
"size": 123
},
"total": 123
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}List workflow definitions
Returns a list of workflow definitions
curl --request GET \
--url https://api.scholarlysoftware.com/api/v1/workflow_definitions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.scholarlysoftware.com/api/v1/workflow_definitions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.scholarlysoftware.com/api/v1/workflow_definitions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "workflow_definition",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"name": "<string>",
"step_count": 123
},
"relationships": {
"owner": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"steps": {
"links": {
"related": "<string>"
},
"meta": {},
"data": [
{
"type": "workflow_step",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
},
"workflows": {
"links": {
"related": "<string>"
},
"meta": {}
}
}
}
],
"meta": {
"page": {
"size": 123
},
"total": 123
},
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>"
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer token
Query Parameters
Comma-separated list of relationships to include. Allowed: owner, steps, workflows
Sort order. Prefix with - for descending. Allowed: created_at, updated_at, name
Filter results. Available filters: created_at, created_at.neq, created_at.lt, created_at.lte, created_at.gt, created_at.gte, updated_at, updated_at.neq, updated_at.lt, updated_at.lte, updated_at.gt, updated_at.gte, name, name.neq, name.cont (case-insensitive substring match), name.in (list of values, comma-separated), name.nin (list of values, comma-separated), steps, workflows.
Number of items per page (max 100)
Cursor for next page
Cursor for previous page